Bug 1489709 - Creating first project still use /create-project page
Summary: Creating first project still use /create-project page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Jeff Phillips
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-08 07:54 UTC by Yadan Pei
Modified: 2017-11-28 08:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 12:57:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Yadan Pei 2017-09-08 07:54:55 UTC
Description of problem:
Creating first project on /console still use /create-project page

Version-Release number of selected component (if applicable):
v3.7.0-0.125.0

How reproducible:
Always

Steps to Reproduce:
1.Login to web console with "user" and "user" doesn't have projects
2.There is welcome message along with "Create Project" button
3.Click on "Create Project" button

Actual results:
3.Directed to /console/create-project page

Expected results:
3.Should use new project panel instead of pages as card https://trello.com/c/djoHeMob/1062-2-reuse-landing-page-create-and-edit-project-dialogs-on-project-list-usability requested

Additional info:

Comment 1 Samuel Padgett 2017-09-08 10:42:33 UTC
This was left this was on purpose for the moment. When the new landing page is enabled, there is no direct link to the project list, so the user won't be able to go to that page without typing in the URL directly. Lowering severity to "low" for now.

This PR will eventually change the button to open a popup:

https://github.com/openshift/origin-web-console/pull/1954

Comment 4 Yadan Pei 2017-10-31 05:53:06 UTC
Checked on v3.7.0-0.184.0 with new landing page enabled,

Creating the first project could be done in popup modal. Move to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.